"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toModulePath = void 0;
const path_1 = require("path");
function toModulePath(options) {
    let from = options.removeExtensions
        ? removeExtensions(options.from, options.removeExtensions)
        : options.from;
    if (!from.startsWith("./") && !from.startsWith("../"))
        throw new Error(`Module path must start with './' or '../'`);
    let parentDir = options.relativeToModule ? path_1.dirname(options.relativeToModule) : ".";
    while (true) {
        if (from.startsWith("./"))
            from = from.substr(2);
        else if (from.startsWith("../")) {
            const newDir = path_1.dirname(parentDir);
            if (newDir === parentDir)
                break;
            parentDir = newDir;
            from = from.substr(3);
        }
        else
            break;
    }
    if (from.startsWith("../"))
        return from;
    return `${parentDir}/${from}`;
}
exports.toModulePath = toModulePath;
function removeExtensions(path, extensions) {
    for (const extension of extensions) {
        if (path.endsWith(extension))
            return path.substr(0, path.length - extension.length);
    }
    return path;
}
